
import random
from django.core.validators import validate_email
from django.core.exceptions import ValidationError

def validate_and_format_email(email):
    """
    Validates the email address and formats it to lowercase.
    If the email is valid, it returns the formatted email; otherwise, it raises a ValueError.
    """
    try:
        validate_email(email)
        return email.lower()
    except ValidationError:
        raise ValueError("Invalid email format")



